// 
// Hott pour télémesure Graupner Hott
// 
// Definition capteur de courant et
//   resistances de mesure de tension
//
// Auteur : www.wp.thyzoon.fr 
// 2020
//

char *ACSref[] = {   // 11 caracteres
	"Non defini ",
	"ACS770-50U ", 
	"ACS770-50B ", 
	"ACS770-100U",
  "ACS770-100B", 
	"ACS770-150U", 
	"ACS770-150B",
	"ACS770-200U", 
	"ACS770-200B"
};

// types de capteur  ACS770
enum ACSType {
  None,
  ACS770_50U,
  ACS770_50B,
  ACS770_100U,
  ACS770_100B,
  ACS770_150U,
  ACS770_150B,
  ACS770_200U,
  ACS770_200B,
};

// Offset des capteurs ACS770
const int ACSoffsetArray[] =  {
  511,   // None
  102,   // ACS770_50U               // VREF / 10
  511,   // ACS770_50B               // VREF / 2
  102,   // ACS770_100U
  511,   // ACS770_100B
  102,   // ACS770_150U
  511,   // ACS770_150B
  102,   // ACS770_200U
  511,   // ACS770_200B
};

// Sensibilite des capteurs ACS770
const float ACSsensArray[] =  {
  20.0,   // None
  80.0,   // ACS770_50U          mV/A        
  40.0,   // ACS770_50B              
  40.0,   // ACS770_100U
  20.0,   // ACS770_100B
  26.7,   // ACS770_150U
  13.3,   // ACS770_150B
  20.0,   // ACS770_200U
  10.0,   // ACS770_200B
};

// Nb elements batterie
enum BattType {
  none,
  Bat_1S,
  Bat_2S,
  Bat_3S,
  Bat_4S,
  Bat_5S,
  Bat_6S
};

// R10 du diviseur de tension
const int R10[] = {
  1000,   // non utlise
  1000,   // non utlise
  4020,
  4020,
  4020,
  4020,
  4020
};

// R9 du diviseur de tension
const int R9[] = {
  1000,   // non utlise
  1000,   // non utlise
  3480,
  6490,
  10500,
  13300,
  16900
};
